%define upstream_name	 BioPerl-Run
%define upstream_version 1.006900

%global __requires_exclude_from ^%{_docdir}
%global __requires_exclude perl\\(Bio::Root::AccessorMaker\\)|perl\\(Bio::Tools::Run::StandAloneBlastPlus::BlastMethods\\)|perl\\(Bio::Tools::Run::WrapperBase::CommandExts\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    BioPerl wrappers for external programs
License:    Artistic
Group:      Development/Perl
Url:        http://www.bioperl.org
Source0:    http://bioperl.org/DIST/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Bio::Root::Version) >= 1.6.900
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl-bioperl >= 1.6.0
BuildArch:  noarch

Obsoletes:  perl-Bioperl-Run <= 1.6.1
Provides:   perl-Bioperl-Run
Obsoletes:  perl-bioperl-run <= 1.6.1
Provides:   perl-bioperl-run

%description
Officially organized in 1995 and existing informally for several years
prior, The Bioperl Project is an international association of developers
of open source Perl tools for bioinformatics, genomics and life science
research.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor <<EOI
y
n
EOI
./Build

# most of the check useanon-packaged  external tools, so they are useless there

%install
./Build install destdir=%{buildroot}

%files
%doc AUTHORS Changes DEPENDENCIES INSTALL LICENSE META.json META.yml README
%{perl_vendorlib}/Bio
%{_bindir}/*
%{_mandir}/man?/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.6.900-9pclos2017
- rebuild against updates

